package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TMsdsMapper;
import com.ruoyi.project.ehs.domain.TMsds;
import com.ruoyi.project.ehs.service.ITMsdsService;

import javax.annotation.Resource;

/**
 * MSDS管理Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-09
 */
@Service
public class TMsdsServiceImpl implements ITMsdsService
{
    @Resource
    private TMsdsMapper tMsdsMapper;

    /**
     * 查询MSDS管理
     *
     * @param id MSDS管理ID
     * @return MSDS管理
     */
    @Override
    public TMsds selectTMsdsById(Long id)
    {
        return tMsdsMapper.selectTMsdsById(id);
    }

    /**
     * 查询MSDS管理列表
     *
     * @param tMsds MSDS管理
     * @return MSDS管理
     */
    @Override
    public List<TMsds> selectTMsdsList(TMsds tMsds)
    {
        return tMsdsMapper.selectTMsdsList(tMsds);
    }

    /**
     * 定时任务查询MSDS管理列表
     *
     * @param tMsds MSDS管理
     * @return MSDS管理集合
     */
    @Override
    public List<TMsds> selectList(TMsds tMsds) {
        return tMsdsMapper.selectList(tMsds);
    }

    /**
     * 新增MSDS管理
     *
     * @param tMsds MSDS管理
     * @return 结果
     */
    @Override
    public int insertTMsds(TMsds tMsds)
    {
        return tMsdsMapper.insertTMsds(tMsds);
    }

    /**
     * 修改MSDS管理
     *
     * @param tMsds MSDS管理
     * @return 结果
     */
    @Override
    public int updateTMsds(TMsds tMsds)
    {
        return tMsdsMapper.updateTMsds(tMsds);
    }

    /**
     * 批量删除MSDS管理
     *
     * @param ids 需要删除的MSDS管理ID
     * @return 结果
     */
    @Override
    public int deleteTMsdsByIds(Long[] ids)
    {
        return tMsdsMapper.deleteTMsdsByIds(ids);
    }

    /**
     * 删除MSDS管理信息
     *
     * @param id MSDS管理ID
     * @return 结果
     */
    @Override
    public int deleteTMsdsById(Long id)
    {
        return tMsdsMapper.deleteTMsdsById(id);
    }
}
